#ifndef __CLOG_H
#define __CLOG_H
////////////////////////////////////////////////////////////////////////////////
#include <stdlib.h>
#include <stdio.h>
////////////////////////////////////////////////////////////////////////////////
#define LOG_BUFFERLENGTH       0x4000  // 16384 chars
////////////////////////////////////////////////////////////////////////////////

class cLog {
  char d_logBuffer[ LOG_BUFFERLENGTH ],
       d_filename[ _MAX_PATH ];
  FILE *d_fDump;

public:

  // constructors & destructors

  cLog();
  ~cLog();

  // initialization & cleanup

  void StartLogToFile( char *pFilename );
  void StopLogToFile();

  // logging information 

  void Log( char *pFormat, ... );
  void LogNewLine();
  void Warning( char *pFormat, ... );
  void Error( char *pFormat, ... );
  void Dump( unsigned int numBytes );

  char *GetBuffer() { return d_logBuffer; }
};


#endif

